#ft=sh

alias slugify="sed -e 's/[^[:alnum:]]/-/g' | tr -s '-' | tr A-Z a-z"

source_env_file () {
    file="${1}"
    if [ ! -f "${file}" ]; then
        return
    fi
    eval "$(
        grep -v '^\s*\#' "${file}" |
        grep -v '^\s*$' |
        sed 's/^\s*export//g' |
        sed 's/^/export /g'
    )"
}

add_date_prefix () {
    DIR=$(dirname "$1")
    FILE=$(basename "$1")
    DATE=$(date -r "$1" +"%F")
    if [ ! -f "$1" ] ; then
        echo "unknown file: $1"
        return
    fi
    mv "$1" "$DIR/${DATE}_${FILE}"
}

get_bitrate () {
    if [ ! -f "$1" ] ; then
        echo "[ERROR] unknown file: $1"
        return
    fi
    if ! command -v exiftool > /dev/null ; then
        echo "[ERROR] exiftool not installed"
        return
    fi
    exiftool -AudioBitrate "$1" | awk '{print $4}'
}
